Bulk Update Gifts
curl --request PATCH \
--url https://api.virtuoussoftware.com/api/Gift \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "<integer>",
"receiptDateUtc": "<dateTime>",
"segmentId": "<integer>",
"notes": "<string>",
"customFields": "<object>"
},
{
"id": "<integer>",
"receiptDateUtc": "<dateTime>",
"segmentId": "<integer>",
"notes": "<string>",
"customFields": "<object>"
}
]
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
id: '<integer>',
receiptDateUtc: '<dateTime>',
segmentId: '<integer>',
notes: '<string>',
customFields: '<object>'
},
{
id: '<integer>',
receiptDateUtc: '<dateTime>',
segmentId: '<integer>',
notes: '<string>',
customFields: '<object>'
}
])
};
fetch('https://api.virtuoussoftware.com/api/Gift', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Gift"
payload = [
{
"id": "<integer>",
"receiptDateUtc": "<dateTime>",
"segmentId": "<integer>",
"notes": "<string>",
"customFields": "<object>"
},
{
"id": "<integer>",
"receiptDateUtc": "<dateTime>",
"segmentId": "<integer>",
"notes": "<string>",
"customFields": "<object>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Gift");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("[\n {\n \"id\": \"<integer>\",\n \"receiptDateUtc\": \"<dateTime>\",\n \"segmentId\": \"<integer>\",\n \"notes\": \"<string>\",\n \"customFields\": \"<object>\"\n },\n {\n \"id\": \"<integer>\",\n \"receiptDateUtc\": \"<dateTime>\",\n \"segmentId\": \"<integer>\",\n \"notes\": \"<string>\",\n \"customFields\": \"<object>\"\n }\n]", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Gift';
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
id: '<integer>',
receiptDateUtc: '<dateTime>',
segmentId: '<integer>',
notes: '<string>',
customFields: '<object>'
},
{
id: '<integer>',
receiptDateUtc: '<dateTime>',
segmentId: '<integer>',
notes: '<string>',
customFields: '<object>'
}
])
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));"<object>"{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Giving
Bulk Update Gifts
Use this endpoint anytime more than 1 gift is going to be updated. Please note that unlike other update endpoints this endpoint ONLY needs what is being updated (i.e. a patch). For example, if you want to update the receipt date on a gift, only send the gift Id and the receipt date. This ensures performance is top-notch.
PATCH
/
api
/
Gift
Bulk Update Gifts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK
The response is of type string.
Last modified on August 11, 2026
Was this page helpful?
⌘I